[package]
name = "nu_plugin_highlight"
version = "1.4.7+0.105.2"
authors = ["Tim 'Piepmatz' Hesse"]
edition = "2024"
repository = "https://github.com/cptpiepmatz/nu-plugin-highlight"
description = "A nushell plugin for syntax highlighting"
license = "MIT"
keywords = [
    "nu",
    "plugin",
    "syntax",
    "highlighting",
]
categories = [
    "command-line-utilities",
    "development-tools",
    "value-formatting",
]

[workspace.dependencies]
syntect = "5"

[workspace.dependencies.bat]
version = "0.26"
default-features = false

[dependencies]
nu-plugin = "0.109.1"
nu-protocol = "0.109.1"
nu-path = "0.109.1"
nu-ansi-term = "0.50"
ansi_colours = "1"
mime_guess = "2"

[dependencies.syntect]
workspace = true

[dependencies.bat]
workspace = true

[build-dependencies]
patch-apply = "0.8.3"

[build-dependencies.syntect]
workspace = true

[build-dependencies.bat]
workspace = true
